"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class AnalyticsApi {
    constructor(api) {
        this.getFutoi = (params) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get("/analyticalproducts/futoi/securities", {
                params,
            });
        });
        this.geTGetFutoiSecurity = ({ security, params, }) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/analyticalproducts/futoi/securities/${security}`, {
                params,
            });
        });
        this.getNetflow2 = (params) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get("/analyticalproducts/netflow2/securities", {
                params,
            });
        });
        this.getNetflow2Security = ({ security, params, }) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/analyticalproducts/netflow2/securities/${security}`, {
                params,
            });
        });
        this.getCurves = (params) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get("/analyticalproducts/curves/securities", {
                params,
            });
        });
        this.getCurvesSecurity = ({ security, params, }) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/analyticalproducts/curves/securities/${security}`, {
                params,
            });
        });
        this.api = api;
    }
}
exports.default = AnalyticsApi;
