"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class InfoApi {
    constructor(api) {
        this.getHandbooks = () => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/index`);
        });
        this.getEvents = (params) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get("/events", {
                params,
            });
        });
        this.getEventsDetail = ({ eventId }) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/events/${eventId}`);
        });
        this.getNews = (params) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get("/sitenews", {
                params,
            });
        });
        this.getNewsDetail = ({ newsId }) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/sitenews/${newsId}`);
        });
        this.getTurnovers = (params) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/turnovers`, {
                params,
            });
        });
        this.getTurnoversColumns = () => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/turnovers/columns`);
        });
        this.api = api;
    }
}
exports.default = InfoApi;
