"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class SecurityApi {
    constructor(api) {
        this.getSecurityTypes = (args) => __awaiter(this, void 0, void 0, function* () {
            const path = (args === null || args === void 0 ? void 0 : args.securitytype)
                ? `/securitytypes/${args.securitytype}`
                : "/securitytypes";
            return yield this.api.get(path);
        });
        this.getSecurityGroups = (args) => __awaiter(this, void 0, void 0, function* () {
            const path = (args === null || args === void 0 ? void 0 : args.securitygroup)
                ? `/securitygroups/${args.securitygroup}`
                : "/securitygroups";
            return yield this.api.get(path, {
                params: args === null || args === void 0 ? void 0 : args.params,
            });
        });
        this.getSecurityGroupCollection = ({ securitygroup, collection, }) => __awaiter(this, void 0, void 0, function* () {
            const path = collection
                ? `/securitygroups/${securitygroup}/collections/${collection}`
                : `/securitygroups/${securitygroup}/collections`;
            return yield this.api.get(path);
        });
        this.getSecurityGroupCollectionInfo = ({ securitygroup, collection, params }) => __awaiter(this, void 0, void 0, function* () {
            const path = `/securitygroups/${securitygroup}/collections/${collection}/securities`;
            return yield this.api.get(path, {
                params,
            });
        });
        /*----------------------------------------*/
        this.getSecurities = (params) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get("/securities", {
                params,
            });
        });
        this.getSecuritySpecification = ({ security, params, }) => __awaiter(this, void 0, void 0, function* () {
            return yield this.api.get(`/securities/${security}`, {
                params,
            });
        });
        this.getSecurityIndexes = ({ security, params, }) => __awaiter(this, void 0, void 0, function* () {
            return this.api.get(`/securities/${security}/indices`, {
                params,
            });
        });
        this.getSecurityAggregateTradingResult = ({ security, params }) => __awaiter(this, void 0, void 0, function* () {
            return this.api.get(`/securities/${security}/aggregates`, {
                params,
            });
        });
        this.api = api;
    }
}
exports.default = SecurityApi;
